Bug Hunting Session
Bug 81956 - FILEOPEN: Z-ordering of shape not preserved properly for docx file.
Summary: FILEOPEN: Z-ordering of shape not preserved properly for docx file.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2014-07-31 09:59 UTC by Sushil Shinde
Modified: 2018-11-03 03:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Attached file contain two images. (43.23 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-07-31 09:59 UTC, Sushil Shinde
Details
Comparison between Word 2010 (left) and Libreoffice 5.0.0.5 (right) (53.41 KB, image/jpeg)
2015-08-20 12:46 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-07-31 09:59:11 UTC
Created attachment 103740 [details]
Attached file contain two images.

Problem description: In attached file there are two images. In original file first image is behind of second image. But on LO rendered second image behind of first image and exported the same.

Steps to reproduce:
1. Open attached file on latest LO master
2. Save file as docx file again.
3. Open saved file on MS Office

Current behavior:
Z-ordering is rendered/saved incorrectly.

Expected behavior:
LO should render and save z-order properly.

              
Operating System: Ubuntu
Version: 4.4.0.0.alpha0+ Master
Comment 1 Jorendc 2014-07-31 12:03:03 UTC
Synerzip -> NEW
Comment 2 Xisco Faulí 2015-08-20 12:46:57 UTC
Created attachment 118043 [details]
Comparison between Word 2010 (left) and Libreoffice 5.0.0.5 (right)

Problem still present in

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 3 QA Administrators 2016-09-20 10:26:05 UTC Comment hidden (obsolete)
Comment 4 Regina Henschel 2017-07-17 13:15:24 UTC
The problem is still present in Version: 5.4.0.0.alpha1+
Build-ID: 8c0be54a7da6262dffe04357121814dd22b5d7fe
CPU-Threads: 4; Betriebssystem:Windows 6.1; UI-Render: Standard; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-15_01:35:45
Gebietsschema: de-DE (de_DE); Calc: group

and in

Version: 6.0.0.0.alpha0+
Build ID: 9f3814af7264ce90685a82cbf4eb015a38f22bf7
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-28_00:47:42
Locale: de-DE (de_DE); Calc: group

It is an imported error.
Comment 5 Regina Henschel 2017-07-17 13:15:53 UTC Comment hidden (no-value)
Comment 6 Justin L 2017-11-02 14:00:06 UTC
The rose-rings image is placed inside of a textbox (so it gets placed in the foreground instead of the background during import). The 30-image is grouped with various shapes and bits.

If anyone decides to waste their time with this one, also noticed that in LO the people have a transparent background (so that the rings show up behind them), while in MSWord the background is solid white.
Comment 7 QA Administrators 2018-11-03 03:51:00 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug